Donations
Edit a donation
PUT
/
admin
/
donation
/
{donation_id}
Edit a donation
curl --request PUT \
--url https://api.helpyousponsor.com/v1/admin/donation/{donation_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"amount": "20",
"client_id": 1,
"created_at": "2022-01-01 00:00:00",
"designation": 1,
"donation_id": 1,
"donor_id": 1,
"id": 1,
"method": 1,
"one_time": 1,
"result": "<p>Result note</p>",
"type": 1
}
'import requests
url = "https://api.helpyousponsor.com/v1/admin/donation/{donation_id}"
payload = {
"amount": "20",
"client_id": 1,
"created_at": "2022-01-01 00:00:00",
"designation": 1,
"donation_id": 1,
"donor_id": 1,
"id": 1,
"method": 1,
"one_time": 1,
"result": "<p>Result note</p>",
"type": 1
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '20',
client_id: 1,
created_at: '2022-01-01 00:00:00',
designation: 1,
donation_id: 1,
donor_id: 1,
id: 1,
method: 1,
one_time: 1,
result: '<p>Result note</p>',
type: 1
})
};
fetch('https://api.helpyousponsor.com/v1/admin/donation/{donation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfull"
}{
"message": "Donation not found."
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of the donation to be edited
Body
application/json
Donation data to be edited
Example:
"20"
Example:
1
Example:
"2022-01-01 00:00:00"
Example:
1
Example:
1
Example:
1
Example:
1
Example:
1
Example:
1
Example:
"<p>Result note</p>"
Example:
1
Response
Donation successfully edited.
Example:
"Successfull"
⌘I
Edit a donation

